Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.datarepository
Class DataDirectory

    java.lang.Object
      com.rsa.authagent.authapi.datarepository.DataDirectory

    public class DataDirectory

extends java.lang.Object

Description:

Constructor Summary
`DataDirectory(AgentProperties agProps)` Constructor for DataDirectory.

Method Summary
`static boolean` | `exists(java.lang.String path)` This method check if path is valid file name
`static java.lang.String` | `getAbsolutePath(java.lang.String path)` This method return absolute path of the file name
`java.lang.String` | `getNodeSecretPath()`
`java.lang.String` | `getNodeSecretType()`
`java.lang.String` | `getSdConfPath()`
`java.lang.String` | `getSdConfType()`
`java.lang.String` | `getSdNsPath()`
`java.lang.String` | `getSdOptsPath()`
`java.lang.String` | `getSdOptsType()`
`java.lang.String` | `getSdStatusPath()`
`java.lang.String` | `getSdStatusType()`
`static boolean` | `isFile(java.lang.String path)` This method check if path is valid file name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataDirectory

    public DataDirectory(AgentProperties agProps)
                  throws DataAccessorException

  Constructor for DataDirectory.

  Throws:
    `DataAccessorException`

Method Detail

### getSdConfPath

    public java.lang.String getSdConfPath()

### getSdStatusPath

    public java.lang.String getSdStatusPath()

### getSdOptsPath

    public java.lang.String getSdOptsPath()

### getSdNsPath

    public java.lang.String getSdNsPath()

### isFile

    public static boolean isFile(java.lang.String path)

  This method check if path is valid file name

  Parameters:
    `path` - A string cintains filepath and it's name
  Returns:
    ture if file is found

### exists

    public static boolean exists(java.lang.String path)

  This method check if path is valid file name

  Parameters:
    `path` - A string cintains filepath and it's name
  Returns:
    ture if file is found

### getAbsolutePath

    public static java.lang.String getAbsolutePath(java.lang.String path)

  This method return absolute path of the file name

  Parameters:
    `path` - A string cintains filepath and it's name
  Returns:
    absolute path

### getNodeSecretPath

    public java.lang.String getNodeSecretPath()

  Returns:
    Returns the nodeSecretPath.

### getNodeSecretType

    public java.lang.String getNodeSecretType()

  Returns:
    Returns the nodeSecretType.

### getSdConfType

    public java.lang.String getSdConfType()

  Returns:
    Returns the sdConfType.

### getSdOptsType

    public java.lang.String getSdOptsType()

  Returns:
    Returns the sdOptsType.

### getSdStatusType

    public java.lang.String getSdStatusType()

  Returns:
    Returns the sdStatusType.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.